## 21 December 2022

### Topics

- App menu
- Bottom bar research
- Notification settings
- Patronage

### Notes

#### App menu

Latest focus indicator extension - https://github.com/Leleat/focus-indicator-prototype
Next step: Wider testing
Potentially put it on Discourse, or just ask some people we know individually to run it
Add App menu removal to the extension and put it on EGO?
Goal: "Do you have any issues using this?"
Maybe people would just file bugs against the extension
- Ask Extension dev for changes
- Submit to EGO
- Discourse/blog post call for testing

Activities label
- Replace with 3 dots, like in the bottom bar study?
- Would be cool if it was dynamic, e.g. loading spinner
- If we drop App menu we could maybe make Activities label dynamic somehow
- On a fresh install, maybe show an indicator when indexing is done "Search is Ready"
- Notifications that are specific to the Overview
- 3 dots get larger/move further apart as your cursor gets closer?

Notifications
- Link from notification panel to Settings panel?
- On mobile you can go from a specific notification to the settings for that app
- 


## 14 December 2022

### Topics

 - Accent color support:
     - Portal settings situation
     - libadwaita
     - gnome-shell
     - Integration in g-c-c
- App menu
- Shell research
- Property rows

### Notes

#### App menu

* Focus hint extension looks good.
    *  If we were to go ahead, what would be the sequence of events?
        * If we want more testing, an extension is a good option - GNOME OS doesn't get much active use.
       * Focus hint could be added prior to removing the app menu - the two features can co-exist.
       * Loading indicator could be moved as we remove the app menu.
    * Need to consider the case where animations are turned off - remote connections, VMs, accessibility.
       * For the accessibility setting, animations without motion could be an option, but what would they be.
       * A border could be another alternative, though there are issues with the shaping the borders (see below).
       * The experience already degrades when you turn off animations. Would this be any worse?
       * Could try a transition without animations between the states. It would be glitchy, but so are the other non-animation transitions.
    * Borders are tricky - windows may or may not have corners, corners can have different radii.

Next step: decide exactly what behaviour we want for the focus indicator, request 

#### Accent colours

* Allan likes having red in his video player. Could connect with the colours used in mimetype and app icons.
* Recap from last time - there were concerns about how feasible it would be to have user-configurable accent colours. Apparently we said that we wanted some kind of proof of concept to show how it would work in practice.
    * Tobias - his concern was around the testing matrix for apps. Is it 5 predefined colours that apps can test, or a free choice? That's the issue with distros being able to change the colours - the app developer can't know what their app will look like. Ubuntu will want their orange. SUSE will want their green.
    * Elio - was hoping that we could do something similar to Material Design - generate a palette based on a single colour.
    * Elio - could downstream palettes be hosted upstream as part of the GNOME platform, so they'd be accessible to apps for testing?
        * Alex - problem with this is that we have existing apps with expectations for the colours. (Implication is that it would require an API break?)
* Tobias - it seems like there isn't a consensus on what the goals should be - is this distro branding? User personalisation? App branding? How would these be reconciled?
   * 1st step would be to agree on the desirable end state that we agree on.
   * The other goal is to have an API that app developers can test against.

Next step is to have a proposal to comment on: either Chris's prototype and/or a high-level design.

 * Chris is still planning on working on his proposal - both a high-level design and a prototype.

#### Property rows

Property rows would be for any row which contains information - the second string in the row is the value, as opposed to a explanatory description.


## 7 December 2022

### Topics

Disks?
Videos?
44 plans?
Patronage
Infobars in Epiphany
Drop app menu

### Notes

#### Infobars in Epiphany

* Banners only have 1 button. Lots in Epiphany have 2.
* "This page wants to show you notifications."
* "Allow this page to use cookies."
* Popover from the URL bar, like the [save password popovers](https://gitlab.gnome.org/Teams/Design/app-mockups/-/issues/65)
* They're all permission prompts.
* Needs exploration: Sam will take a look

#### Drop app menus?

* Self-contained changed that we took away from last week's discussion. Would be a step forward.
* Need to look at the various issues:
   * App focus with multi-monitor
   * App focus with 1 monitor
   * App loading
   * Quit
* [Remove app menu extension](https://extensions.gnome.org/extension/3906/remove-app-menu/)
* Florian's sceptical about dropping the focus indicator without a replacement
   * More of an issue in non-GNOME apps, which don't have the focus styling
   * More of an issue with multimonitor
      * But isn't that super-awkward - having to check the primary for focus on the secondary
* Elementary doesn't have a focus indicator. The dock autohides.
* Splash screens as the solution for loading state?
   * The loading state isn't just for application launch - sometimes its for startup, when the window hasn't been shown, or just when the app marks itself as busy.
   * But the loading state isn't commonly used, so maybe isn't a huge deal
   * Splash screens could be nice, anyway. Would require protocol for the app to communicate its state. 
   * Maybe spinner on the cursor + add the icon to the dash with a spinner
   * You mostly care about the loading indicator when something isn't working. Adding an icon with spinner to the dash would be good enough for that.
   * Mac does the bouncing app icon in the dash. Same problem we have when autohide is on.
   * The focus issue is the more critical issue, but the app menu is not a great solution for that - doesn't work well on multi-monitor. It's app focus rather than window focus.
   * Wiggle the pointer to visually highlight the focused window?
   * More prominent text entry focus indicators?
   * More prominent window shadows for focused windows? But then tiling/maximized windows.
   * Focus indicator seem to be mostly relevant for keyboard input, and non-GTK toolkits. There's not much we can realistically do here without altering individual windows.
   * The current indicator only works for focus if every window is a different app
   * In the multi-monitor case, visually indicate which display has the focused window on it?
   * We can at least do an experiment to see if people are using the app menu as a focus indicator
* Actions:
   * Steal the app menu away, see if anyone notices :grimacing: 
   * Design work for an in-overview loading indicator
* What are the actual options for indicating focus
   * Global shadows
   * A focused display indicator
   * Shortcut or key to highlight the focused window
      * Any other situations where we would highlight it? A gesture? After certain window operations (you close a window, switch workspace, unlock the screen, leave the overview)?

## 30 November 2022

### Topics

* [Notification API review](https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/196)
* [Combined notifications and quick settings](https://gitlab.gnome.org/Teams/Design/os-mockups/-/blob/master/system-status/quick-settings/quick-toggles-notifications-collapsible.png)
* [Property rows/subtitle selections](https://gitlab.gnome.org/GNOME/libadwaita/-/issues/586)
* Bottom bar user research


### Notes

#### Bottom bar user research

* Tobias would like to pursue the bottom bar far 44, with this research as a precursor to be wrapped up in 2022.
* Florian not keen on the bottom bar. Would need more convincing.
* Tobias would like there to be a longer term plan for the shell layout - if not the bottom bar, then something else.
* Sam - there's no down side to having the data.
* Action: plan a separate call to talk through the motivations for this work, maybe review some of the old 


####  Notifications

Jonas is currently looking at notifications API from a mobile perspective:

* API for haptic feedback
* Persistent notifications, text fields for replies, progress bars.
* Should we "redo the whole thing" (the notification portal)
* He's been reviewing

There a lot of competing APIs and specs:

* Desktop notification spec from 2004/5 (`org.freedesktop.Notifications`). Has content hints. Can be combined with predefined actions. Could be used to style notifications, such as an incoming call.
  - libnotify
  - A lot of non-GNOME apps shell out to `notify-send`. :scream: 
* GTK notification protocol (`org.gtk.Notifications`) - specific to gnome-shell
* Notifications portal (`org.freedesktop.portal.Notification`) - exposes the other 2 with a single API, like GTK/KDE file choosers etc

`GNotification` can use all 3 depending on what's available, as well as macOS and Windows notifications when running there.

Automatically remove the notification when the app is focused?

* Florian - this has more downsides than upsides. Notifications from the browser get lost when it's focused - they're not tied to the window.

Ability to update notifications?

Grouping of notifications?

* Use cases - a chat client could group the notifications from each thread. Mastodon could group notifications from different accounts. Email clients could group notifications from different inboxes.
* Current designs group by app. No exploration for finer-grained groups.

New api needed for things like calls, vibration, led colours, 

## 23 November 2022

### Topics

Potential things to discuss:
 * Settings navigation stuff: system panel, network panel, shuffling the panel order, search
* Login screen settings - https://gitlab.gnome.org/Teams/Design/settings-mockups/-/issues/47
 * Loupe readiness
    * Copy button?
    * 100% zoom?
 * Battery icons again yay...

### Settings navigation

* Is everything in System system-wide, or per user. Per user. Is that a problem? Maybe not?

### Login screen settings

* Add a flag in the user settings? "User whose settings are used on the login screen"
* Mac seems to use some settings from the last used user - such as tap to click

## 16 November 2022

### Topics

Potential things to discuss:

* Unified networking panel
* Battery icons!
* Search in apps
* Shell search
* GNOME 44 feature planning

### Notes

* Unified networking panel
   * Sadiq might work on this soon
   * It'd be good to switch the apps and privacy panels to have the subpanels on the right, first
   * Are we confident about these plans?
      * Didn't we talk about adding a "System" section at some point?
      * How would other new panels that have been discussed fit in? Screen Time. Quick Settings / Calendar customization.
      * What would search look like when the sub-panels are on the right? Needs investigation.

* Search in apps - https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/195
   * We might get different layouts for mobile soon, which would help. Tricky questions around how to handle text buttons with overflowing text.

* Battery icons
   * Alex: we can generate the icons in gnome-shell, and make that responsible for the low power notifications (instead of gsd)
   * The current icons are adwaita-icon-theme specific. If adwaita isn't used, the shell falls back to the icons provided by upower. Presumably there are icon themes that support more variety - like yaru. Unclear how this works.


## 9 November 2022

### Topics

* Notifications / calendar placement - Allan's done some [new mockups](https://gitlab.gnome.org/Teams/Design/os-mockups/-/blob/master/calendar/calendar-popover.png) for a standalone calendar popover
* 

## 2 November 2022

### Topics

* Nautilus grid view
* Notifications / calendar placement
* Adding desktop icons to GNOME classic

### Notes

#### Desktop icons

* Allan's open to including it - desktop icons fits within the mandate of classic mode
* RHEL has a different desktop icons extension
* Florian has concerns about maintenance workload: it's a lot of code, and he doesn't have knowledge/experience of the workload involved
* Google is interested in desktop icon for their internal Debian maintainer
* The desktop icon ng extension is maintained by someone who is now employed by Canonical
* The extension would have to follow the GNOME schedule if it was added to the gnome-shell-extensions module
* **Action**: Allan to review the extension for HIG compliance

#### Nautilus grid

* Where are we at with it?
* Tobias and Sam both have issues with the folder treatment
* Tobias still isn't sure about losing the aspect ratio of the individual thumbnails
* Folder issue can be resolved. Aspect ratio needs more testing.
* Difficult to use the prototype for wider/longer testing - needs a package rather than a flatpak. Could we do a copr?
* **Action**: Allan to investigate the copr and folder changes.

#### Shell notifications/calendar

* Where to put the notifications has been a long-running discussion which we haven't managed to resolve. As we've discussed it, the question of whether to move the top bar to the bottom has come up, since moving the bar has repercussions for where the notifications and calendar widgets might end up.
* Motivations for the bottom bar:
    * It's consistent with the overview model (dash comes up from the bottom), and with the gestures (swipe up for overview)
    * It solves the problem of long pointer travel from Activities to the dash
    * It makes the overview entry point more prominent, resolving the issue we've observed of people not being able to easily discover "Activities" on initial usage.
* Florian's motivations to keep the top bar:
    * It's distinctive - helps with identification and differentiation. Also GNOME has always had a top bar (even with GNOME 2); it's part of the brand.
    * He thinks it looks good
* Allan has concerns about the ergonomics of the bottom bar design:
    * Lack of fittsiness - no corner for activities, no bottom screen edge for dash launchers. General awkwardness with a mouse.
* **Actions and next steps**
    * Tobias to investigate collapsed quick settings with notifications.
    * There's an open question about whether the app menu is required as a focus indicator - needs to be investigated and resolved (see [gnome-shell#624](https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/624) for background).
    * Initial step for seriously evaluating the bottom bar would be to run a diary study with existing GNOME users, testing an extension to emulate the design.


## October 26

File chooser:

* Grid in chooser: https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/5163
* There is no view toggle in the grid view filechooser
* Where to put buttons for view switching: grid|list
* File chooser dialog is being deprecated and replaced with a portal that uses Nautilus
* File chooser becomes a fallback UI that is trimmed down feature-wise
* What to do with toolbar in Recent and Search in file view?
* Always show the path bar so the buttons are visible
* Style changes for hover states and thumbnails

Bottom bar

* A hot edge for a bottom bar has implications on multimonitor setups where there are displays "below" the bar
* Dash-to-Panel extension is a quick way to simulate a bottom bar setup
* Bottom bar will address some of the research follow-ups from 40 regarding mouse travel in the overview to dash
* Open questions about how to style the panel or panel items on the desktop/fallback case so we don't display a fully black panel
* Blurred background?
* Styled pills for menus on the panel

## October 21

Notifications in Quick Settings:

* Allan: One concern is amount of stuff
* Other systems tend to put emphasis on one or the other
* Windows and ChromeOS de-emphasize notifications, possibly because notifications on desktop suck?
* How could we de-emphasize notifications by default, and allow expanding them when you want just notifications?
* Summary view of notifications, if you click it the quick settings go away
* Media controls would fit better in a generic "system stuff" menu, than with the calendar or in a notifications menu
    
Separate menu:

* 4th entry point with a bell icon? Best idea we've had so far
* The bell is small, making it feel like an afterthought next to the group of icons
* A counter in a pill? Jakub hates it
   
Quick Settings:

* Allan: One concern is amount of stuff
* Other systems tend to put emphasis on one or the other
* Windows and ChromeOS de-emphasize notifications, possibly because notifications on desktop suck?
    
Location of media controls is up for debate.

* Tobias: they're better in with quick settings. Not related to "date and time". Wouldn't fit with a bell icon for a notification list.
* If we did go for the separate notification menu, the media controls could go into the quick settings.

Separate notification menu:

* A bell?
* A badge with a number? <scream face>
* Allan: a nicer treatment for the menu could make the option more attractive. The bell icon on its own feels weak.
* Obvious disadvantage - no serendipitous discovery of notifications. Will likely become something you never use. (Could be a plus point for some, but you've got to ask why have notifications in that case.)
* Allan: single small icon feels like an afterthought.
    
The side is the place to have a long list.

Things to explore:
    
* Quick settings + notifications with condensed notification list, way to expand and hide quick settings.
* Calendar widgets by themselves - how to handle different sets of widgets, long lists of world clocks, etc.
* Notifications + widgets in the middle: can we improve the latest ( https://gitlab.gnome.org/Teams/Design/shell-experiments/-/issues/61#note_1562585 ) ? Could be legitibity issues there - small text.
* Continue to think about options for the notification list entry point.
* Media playback in with the quick settings.

Actions:

* Try what QS + Notifications (+ Media controls) with expanding would look like to avoid showing everything at once
* Try what the widgets would look like without notifications, particularly when there's only some of the widgets https://gitlab.gnome.org/Teams/Design/shell-experiments/-/issues/61#note_1562585

## 20 October 2022

Three options:
    
1. Status quo, notifications + calendar
2. Notifications + QS
3. Notifications separate, 4 entry points
    
Status quo:

* Current layout is not good
* Could be made better (fewer, smaller widgets, constrained height)
* Main issue is size, and number of items
* Some of the changes are needed anyway - a nicer calendar, time zone, weather widget, etc
* Cons: slimming down the widgets might not be popular
* We don't have a successful concept for just widgets that would work in the top center (tall and narrow doesn't work there)
* Moving the bar to the bottom and changing everything would fix this, but eek.
        
Quick settings:

* Jakub: notifications are noise. We should put them out of the way, rather than putting them in front of people all the time. Sam: "when I turn on the wi-fi, I don't want to see all the garbage?" (Sounds like an argument for putting the notifications in their own menu.)
* Notifications are currently bad, but there are a lot of things we could do to improve them (group by app, priority channels, etc. like Android)
    
Separate menu:

* Sam and Jakub seem to be in favour of this - stash them away, give people "things"
* Allan not opposed in terms of interaction, but is concerned that it goes against philisophy of the shell design (+1 Tobias)

The old GNOME 2 era calendar widget: https://news.softpedia.com/images/extra/LINUX/large/foresightlinux3.jpg

## 19 October 2022

* Notifications / Calendar / Quick Settings placement https://gitlab.gnome.org/Teams/Design/shell-experiments/-/issues/61
* Background apps
* Accent colours
* Spiel app

### Background apps

Georges is going to work on the shell ui. Needs more design work!
There's a PR for the service: https://github.com/flatpak/xdg-desktop-portal/pull/901
You can inspect the list of background apps using d-feet

### Spiel app

Georges is looking for input on what types of slide to include

### Accent colours

Chris's intro:

* Distros are still modifying libadwaita, injecting CSS, using env variables, changing GTK...
* eg. Ubuntu has changed their own accent colours.
* All of this results in the style changing in ways that aren't predictable for the app developers
* Customizable accent colour support could address this, plus allow apps to change their own accent colour. Would reduce the number of changes to libadwaita.
* Main issue currently - we need two colours for an accent, for light and dark. We could either support arbitrary colours, or named colours. Arbitrary colours could be used by different toolkits and platforms. But you could also end up with the colours being handled differently, and coming out a bit different in each case.
* Tension between distros being able to set their accent as the default - would require arbitrary colours. Tobias: arbitrary colours is an issue for QA - app developers don't get to test their app.
* Potential competing goals of this: a personalization feature for users, a branding option for distros, a branding option for app developers.
* Chris: apps should be able to opt in. Tobias concerned about quality issues with arbitrary colours, irrespective of whether it's opt in or not.
* Georges: libadwaita has named colours, documentation on how to use them. If we had a short list of optional accent colours, could we treat them in the same way? Recommend how they should be used, etc.
* How would a custom accent colour interact with the existing colours for suggested, destructive, warning, success?
   * First step is probably to see where these are used currently, what effect a colour change might be, whether how we use the colours could be changed to facilitate custom accent colours. For example, you could be limited to only using one of these colours in any context.
* Making suggested accent buttons a lighter colour background with dark text could help.
* Unclear what the scope would be of a personalisation feature - would a small number of predefined colours satisfy the demand?
* Some concerns that the goals aren't clear or are too mixed.
* Forcing an arbitrary colour to stay within known good parameters is a possibility.
* What do other platforms do in terms of defined colours, and how they interact with accent colour customisation?
* We use suggested and destructive for the text colour... How would that would?
* One proposal is to only use custom accent colours for core apps. That would of course negate the option of giving them their own custom colours, like Calculator already does.

## 12 October 2022

### Topics

* Nautilus grid views

### Notes

Grid view

* Differing views on whether the prototype is better than what we have now
* What are the main issues with it? Losing aspect ratio. Could we letter box?
* If we keep what we have now:
    * Fix differing visual weights
    * Could we have symbolics and no color icons?
* Potential path forward: fix more 


## 5 October 2022

* Banners
* Combo row issues - https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/189
* Background apps - https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/191
* Notifications placement - https://gitlab.gnome.org/Teams/Design/shell-experiments/-/issues/61
* Search designs - https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/184
* Accent Colors?

## 29 September 2022

Search

* Firefox results aren't great - unclear what they are, why they are being shown
    * Layouts aren't flexible enough to allow apps to present useful results
    * Maybe we want different layouts that apps can use
    * Or maybe apps could return multiple sections? Open tabs, bookmarks, history, etc? Could explode the results.
    * Need to work through a few examples to see what the ideal solution might look like

Files stuff
 * Trash
 * Other places
 * View menu
 * Icons
    * How does it look in real life usage? Does it lose any file-systemyness?
    * Can we prototype?
    * Some concerns about visual balance. Items with icons look very different from items with thumbnails.

## 28 September 2022

### Topics

* Smarter size constrained labels -- ellipsis or fading out is too dumb in many contexts -- https://gitlab.gnome.org/GNOME/gnome-builder/-/issues/1821, https://gitlab.gnome.org/GNOME/cantarell-fonts/-/issues/64
* Run in the background proposal - https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/153#note_1558514
    * Main outstanding question is APIs for "monitoring" and "hardware support".
* New search mockups - https://gitlab.gnome.org/Teams/Design/os-mockups/-/blob/master/search/shell-search.png
    * When expanding sections, maybe the section should expand in place, rather than hiding everything else?
    * Filtering by type is almost the same as expanding a section. Could we combine those things somehow?
    * Implications for other search implementations: do we want text-based filters, as opposed to token-based ones?
    * Can we enable 3rd party search providers by default?
* Accent Colors

### Notes

Constrained labels

* Can we be smarter about which parts of the string get hidden?
* Safari picks up on common text elements in the tab names, and ellipsize those: deduping the strings
* Tabs actually fade out the string, which looks nicer than the ellipsis
* It would be good to look at other examples: popular IDEs, browsers, etc
* VS code makes the tab width big enough to fit the label, which is only the file name.

Running in the background

* Maybe apps that are running in the background *should* be in the dash. Particularly applies to the "ongoing task" category.
* Tobias isn't sure whether we should allow "ongoing task" categories to run in the background. Maybe apps should just pause their operations when you stop them.
* Do we show Boatswain as running? It's both a configuration tool and hardware enablement.
* What about Steam? Required to be running to make the Steam controller work.
* Are there other examples of apps which do hardware enablement? Solaar for Logitech. An app for Razer? Apps for Raspberry Pi-based hardware.
* For these apps, we could add them to the dash, but allow them to be removed from it.
* What about "monitoring" apps?
    * On mobile, the answer is push notifications - the apps don't check locally. Apps that do run locally to check have to show a persistent notification. At least this has low priority and is down the bottom of the list. A user can also manually, individually hide those notifications.
* Do we really want to force apps to use some API before we allow them to run without a window open? Apps running in this way aren't currently a problem. It only applies to sandboxed apps anyway.
    * The consensus seems to be yes - to help prevent app misbehaviour, including malicious behaviour.

## 21 September 2022

### Topics

* Run in the background
    * Last week we discussed the UX aspects of this. Two others remain: resource usage, and security.
* Quick settings configuration
* Accent colors? (probably needs tobias?)

Run in the background

* Georges going to look at it beginning of next week. Problem of apps asking to run in the background when you do a shell search, or builder is building something

What about resource usage?

Another case for running it the background - still doing an operation. Files doing an operation, Web downloading something.

 - They currently do this
 - On Android they would throw up an onrunning process. We don't have that. Currently problematic that they do this and there's no visual indication.
 - Endless has fixed this with Mogwai. Some overlap with the old Transfers app.

Background apps don't seem 

systemd services can apply resource limits to slices

 - these can be applied to apps, using uresourced (contains the policy for this)
 - we could theoretically reduce resource allocation to background processes
 - Doesn't seem like we have a good heuristic for which apps should have high priority versus low priority

Is there an actual problem here? Do we have apps using lots of resources, having a negative effect on the system?

You could have a special opt-in "background" mode, where an app is just in the background periodically checking for updates - in which case they could be given lower priority.

Example of windows that are open, using memory, haven't been used for a while, and the system is low on memory

Android policy for unused apps:

 * Stop notifications
 * Removes permissions
 * Removes temporary files

Firefox slows down JS in tabs that haven't been used for a while. Will then completely pause it.

"Minimise" is another conceptualisation of "run in the background". Stops painting, which reduces resource usage (we already do that with Wayland). We could tell the app that it isn't visible so it could stop doing stuff, like rendering a game.

Non-focused is another conceptualisation of running in the background.

What about security?

 - Requiring apps to ask to run in the background might increase your security? But then how does the user know what is malicious and what isn't?
 - Security questions need a security expert to advise!
 - Running in the background currently only works for sandboxed apps. Sandboxed apps can be mandated, though.


## 14 September 2022

### Topics

* 44 planning
* Run in the background
* Quick settings configuration
* Combo box design issues
* AdwAboutWindow
* Sound panel design - https://gitlab.gnome.org/Teams/Design/settings-mockups/-/blob/master/sound/sound.png
* GNOME Shell screenshot save to clipboard keyboard shortcut idea
https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/2486

### Notes

Run in the background

* Different motivations for "run in the background" functionality:
    * User experience - "I want to play music and have the window closed"
    * Security - "what if some nefarious data mining thing is doing stuff behind my back?"
    * System resources - "what if all these apps drain my battery?"
* Android's new "active apps" feature focuses on the latter
* UX use cases for run in the background:
    * Music 
    * Sync: Dropbox, Nextcloud
    * Messaging: email, chat
    * Hardware integration? Boatswain
    * Something we didn't talk about: apps that are slow to shut down, or which are slow when woken up as a search provider
* UX aspects to running in the background:
    * How to check if a service is running how it's supposed to?
        * Music: mpris
        * Sync: libcloudproviders
        * Messaging: ?
        * Hardware integration: ?
        * Use the dot below the app launcher in the shell (would require an additional API - a way for processes to register themselves as apps, so the shell can track whether they are running or not)
    * How to clean up or check if there are services that are running that shouldn't be?
        * Shit work
        * System Monitor?
* Is "run in the background" always synonymous with autostart?
    * Probably?
    * You could say that autostart should always be done in the background
    * You could also say that apps shouldn't ask to run in the background, since the question is hard to parse, and doesn't come at the right time. Apps could default to running in the background, in which case we can show that in Software. There could also include a setting to stop running in the background (shown both in the app's settings and the app settings).
* Postscript: this discussion only covered the UX dimension of running in the background. A discussion of the security or resource usage dimensions might have different outcomes.

Sound settings

* Do we want better support for surround sound? Ideally you'd be able to position yourself in space. Could there be a way to use a microphone to set this up automatically?
* Ability to combine devices, like in Mac? Should probably be a separate tool - not Settings.


## 7 September 2022

Topics

* Mobile shell demo
* Other locations in Files
* Volume levels: https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/187
* 44 planning
* Run in the background
* Quick settings configuration
* Banner use cases:
    * https://gitlab.gnome.org/Teams/Design/app-mockups/-/issues/52#note_1536436
    * https://gitlab.gnome.org/Teams/Design/app-mockups/-/blob/master/document-viewer/document-signed.png

Mobile shell demo

* Jonas has 2 branches (shell and mutter). Experience on his Pinephone pro is really good - used it for the demo.
* There's a blog post that's currently in review.
* Plan for 44 is to slowly upstream the work: gesture api, then other stuff.

Other locations in Files

* Antonio is keen to remove some things, like "Computer" (root directory access), and to put mounted directories back into the sidebar. This is what we used to have in the past (pre-2013) but can apparenty be done more nicely now with systemd. Other locations would only be network and remote.
* Latest mockup: https://gitlab.gnome.org/Teams/Design/app-mockups/-/blob/master/files/files-other-locations.png
* Issue: https://gitlab.gnome.org/Teams/Design/app-mockups/-/issues/61
* Probably OK to hide root? People probably aren't getting there through "Other Locations" anyway.
* What are the use cases that need to be covered? Different external drives, presumably? Internal partitions that are of interest? Are there ever cases where there are internal volumes or network drives that they do want hidden? If yes, we can't just have everything in the sidebar with no other location to view.
* Antonio wants to take out available space of the list, since it's not related to navigation. (Also related to whether we show space usage in the sidebar.)
    * On the other hand, it is information that you could use to orientate yourself.
    * Useful for when you're in the process of moving/copying files, to know when you have enough space.
    * Also worth looking at what other platforms do, for a competitive angle. Probably more useful for removable drives.
    * Might be interesting to do absolute size representations rather than %.
* The sidebar has quite a lot of items in it already. Risk of inflating that.
* Elementary grouped the sidebar into collapsible sections: drives, bookmarks, etc
* Issue with the current design - you have multiple internal drives or a shared partition, and you use one a lot and want to put it in the sidebar. Currently it's difficult to bookmark them - no option from "other locations", issues if the drive isn't mounted, etc
* XDG folders could just be default bookmarks.

Volume levels

* Another use case for audio balancing: listening to two meetings simultaneously.

Banners

* Infobar replacement widget: https://gitlab.gnome.org/Teams/Design/os-mockups/-/blob/master/banners/banners.png

## 31 August 2022

### Topics

* Quick settings style tweaks
* Settings priorities for 44
* 44 planning
* Redesign other locations - [app-mockups#61](https://gitlab.gnome.org/Teams/Design/app-mockups/-/issues/61)
  * Background apps - [os-mockups#153](https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/153)
  * It's a bit unclear where we landed with this. I think that I wanted to drop the whole dialog, but Tobias wanted to explore something else?

### Notes

Portals

* Portals design priorities
 * Global shortcut portal
 * Camera portal
 * Device portal
 * Removing static permissions - for pulseaudio, devices
 * Opportunities to improve file system permissions?
   * Siloed app folders?
   * Flexible folder permissions? [gnome-music#69](https://gitlab.gnome.org/GNOME/gnome-music/-/issues/69)
   * How to move away from the XDG folders? [nautilus#577](https://gitlab.gnome.org/GNOME/nautilus/-/issues/577)

Quick settings style tweaks

 * Things that have been discussed previously
   1. Corner radii on popovers. It's higher for the quick settings than the other popovers, but making it consistent leads to issues elsewhere. Needs further changes elsewhere. Unclear whether people will notice the inconsistency or not.
   2. Toggle button height [gnome-shell#5792](https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5792). Also ties into issue 4.
   3. Complaints about strings getting cut off - [gnome-shell#5770](https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5770). Increasing button width could help with this, combined with reducing padding so not to inflate the size
   4. Apparently there are other complains regarding the height of the menu, particularly 1366x768. Uneven horizontal/vertical spacing might be to blame?
 * **Actions**
   * Allan to organise a single issue to track the various potential style changes
   * Sam to present potential changes

Settings priorities for 44

 * [Initiatives/Settings](https://gitlab.gnome.org/Teams/Design/initiatives/-/boards?label_name[]=Settings)
 * Navigation changes are the biggest ones
  * Removable Media and Default Apps are fairly straightforward
  * Color is harder. Splitting it out into a hidden app seems like the easiest course at this point. Cassidy isn't convinced about the case for splitting out Color - these are integrated hardware settings, there are 
 * **Actions**
   * Allan to talk to Richard and Bastien about ways forward for the colour panel

## 24 August 2022

Topics

* Payments
* More 44 planning
* Accent colors?

Payments

* Initial mockups based on current implementation, primarily targeting Purism in the first instance
* Sticky question of source chooser: do we imagine the same app being available from different stores where you can pay for it? Or from some repos that require payment and others that don't? Tobias is of the view that stores require their own binary. No multiplexing!

Device Security Panel

* Pushback against it in Fedora, Ubuntu. Should we rethink?
* It is buried under privacy - we maybe needn't panic
* It would be good if the levels were acheivable for mortals. We could always raise the bar over time.

Tab overview

44 planning

* Tobias:
	* "All the stuff Jonas did" - 2D gestures, separate state for mobile, app grid work, workspaces so we can have a bar at the bottom. Upstream mobile session.
	* Bottom bar?! It would be so easy, apparently.
	* Notifications
	* Design progress on tiling
	* Network preference windows
* Allan:
	* Nautilus GTK4 port followups, e.g. grid view, kill hicolor icons. Lots to do here.
	* Quick Settings followups, e.g. user-configurable toggles
	* Image viewer
	* Shell Search (and search in general)
* Jimmac
	* Files: thumbnail-first, symbolic fallbacks, get rid of hicolors!
* Cassidy
	* Accent colors! (also Chris)
* Sam:
	* a11y Settings panel
	* epiphany bookmarking post-gtk4
	* clean out the cruft in shell popovers

## 17 August

Topics

* Payments
* 44 planning
* Tab overview questions

Payments

* Getting people to pay is hard
* How aggressive to be? Could generate a lot of pushback. If you never set up an account, how annoying should it be?
* The existing infra seems to be built around single payments rather than subscriptions. Is this a hard requirement?
* Lean into good will. See Blender Foundation creative cloud - you get tutorials, lectures, etc
* Fixed monthly donation, and it's split between apps you install/use
* Kickstarter-type model? "What does the donation buy?"
* For elementary the most successful things were the pay-what-you-want thing on the home page, Github sponsors w/ access to nightly builds
* How much perceived value does a small app have? compared to e.g. Blender, or an OS
* Regular updates, e.g. integration with TWIG?
* People want to try apps before paying
	* elementary reminds you to pay if there's a major update

44 planning

* Moved to 24 August

43 Quick Settings Firefighting:

* Empty left side at the top
	* Why did we drop the avatar?
	* Allan to try adding back the user menu thing
* Lack of hover, e.g. on sound entry
	* Probably a bug
* Some strings in tiles are truncated, including standard ones
	* Android doesn't show the network on the tile itself
	* Marquee?
	* We need to avoid the menu being wide and short

## 10 August 2022

GNOME 43 loose ends

* Everything going in for quick settings
* Polish still happening for device security and software sources list
* Known glitches with list/grid views in the GTK4 port. These are GTK issues which aren't expected to be fixed for 43. :/ https://gitlab.gnome.org/GNOME/gtk/-/issues/2971
* Georges has reworked the screenshot portal

## 3 August 2022

Topics

* Quick settings status
* Files status pages - https://gitlab.gnome.org/GNOME/libadwaita/-/issues/524#note_1513589
* Files GTK 4 port status - https://gitlab.gnome.org/GNOME/nautilus/-/issues/276#note_1512681
	* Tobias to look into a separate filter icon to avoid a second toolbar
	* Allan to look into Column Selection dialog
	* File bugs everyone!
* Initial setup: User name regex filtering
	* Hasn't had much review yet, would be good to try in GNOME OS

Notes

* Quick settings
	* It's landing in 3 parts
	* 1st part is about to be merged - there will be some css to look at
	* 2nd still needs review - will happen soon
	* 3rd doesn't exist yet
	* Georges is reviewing but has the always visible app grid work to also take care of
	* CSS changes we want: popover radii, padding/spacing in places. Sub-menu opening menu could do with some tweaks, but that could wait until next cycle.
* Files GTK 4 port
	* Properties window is done. Properties pages are causing issues - PDF properties unlikely to happen in time due to Evince not being ported to GTK 4.
	* Menu reorg is easy to do - that will happen. The hard part is the design.
	* View menu is in the air! Could sort go in the context menu?
		* Can we leave it as is? Tooltips were an issue but Alex fixed that a few days ago. 
		* There are issues around making it adaptive; somewhat unclear what.
		* Tobias has an idea of what to do here - he'll sketch it out
	* Visible columns dialog needs redesign - Allan to do that.
	* Bottom toolbar is going to be merged soon
	* Extensions are the big issue. Antonio wants to drop API. He needs some help from library developers. 
	* We're happy with the lighter status page - seems like a common enough case to have a subtle empty state. Can keep it in Files for now and potentially make it more generic at a later date.

## 27 July 2022

Upcoming GNOME 43 UI freeze

* Quick settings
	* Pad is https://etherpad.gnome.org/p/quick-settings
* Nautilus GTK 4
	* Ongoing design review - https://gitlab.gnome.org/GNOME/nautilus/-/issues/276#note_1512681
	* Nice grid and list views still to do - need more specification
	* Do we want to think about dropping spring folders?
* Device security
	* Some work still due to land:
		* https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/1965
		* https://gitlab.gnome.org/GNOME/gnome-control-center/-/merge_requests/1404
		* https://gitlab.gnome.org/GNOME/gnome-control-center/-/merge_requests/1032
	* Empty state for if someone finds their way to the panel and it's a VM or something
* Builder papercuts

### Notes

Quick settings

* Do we want the background circle behind the header icons? Mixed views on these.
* How to handle the power estimate? It's just a click away. The latest treatment with the smaller text is also acceptable.
* Side discussion about tooltips. Cassidy is pro tooltips - they aid discovery, particularly for keyboard shortcuts.
* What about power levels of connected devices? Some of them don't last all that long.
* In the old settings menu there were issues with the power estimate ellipsizing and the useful parts of the string getting cut off. It would be really good to avoid that.

Nautilus GTK 4

* Alternatives to the icon size label - "Size", "View Size", "Grid Size"
* New grid view probably needs to be punted to 44. Need to think through which colour to use for which mimetype
* Do we want to retain a header for grid view, like in Google Drive et al? Different views on this. A bar for one control seems a bit much.
* Cassidy will file an issue about spring folders
* It's still using old GTK tabs

Builder papercuts

* Christian has asked for advice on libpanel styling

## 13 July 2022

Topics

* Quarter tiling
* Payments flow in Software
* Full screen handling on touch - https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/120#note_1495576
* Files grids - https://gitlab.gnome.org/Teams/Design/app-mockups/-/blob/master/files/grids.png
* Screen recording enhancements - https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/175

Notes

* Update from Marco:
	* Interested in vertical splits, for portrait displays.
	* But there's a challenge with how to handle dragging against the top screen edge, since this is already used for maximized.
	* Not focusing on quarter tiling yet, but that would be next.
	* All windows would be floating, as they are now.
	* Would need some kind of window grouping?
* Tobias: feels that continuing with the current framework will take us further away from where we'd like to be in the long run.
* Florian: if we know that we want to go full tiling (ie. non-floating) in the long run, we will need a different layout container for placing the windows. Not sure it's worth extending the current framework if that's the case.
* Tobias summarises his latest mockups
	* Less window management rather than more
	* Some of the magic of tiling - automatic arrangement - in a way that we can make it the default behaviour
	* It's tiling, but not full screen
	* 3 modes - floating windows (can be enabled globally or claimed by individual appp windows), limited tiling (the default mosaic mode), full tiling (seen most of the time on smaller screens)
	* Would require cooperation from the apps, to say what size window they want, if the window should be floating, etc
* Florian: sceptical because tiling WM are nerdy - require special shortcuts etc. Would need a design that is able to make this more accessible.
* What's missing from the designs?
	* Consensus that it's a good idea (e.g. Alex is very critical)
	* Drag and drop in the overview (e.g. drag the window vs. tiling arrangement vs. workspace?)
	* List of things we could/need to do in advance, also on a technical level (e.g. resizing complex tiling arrangements with window blurred content, more window sizing metadata)
	* Keyboard shortcuts
	* higher fidelity designs
* Marco: seems that the designs are a long way off. The changes he has in mind would require more limited changes.
* There's no designer working on Marco's side - he was hoping we could help with that. Elio could maybe join in. Would prefer not to carry patches downstream. Would hope to merge 
* Allan: has doubts about whether quarter tiling in the current framework would be good. People could easily wrap themselves in knots. Marco - open to making improvements to the design (eg. grouping).
* Georges: vertical splits aren't controversial and could be addressed in the next release.
* Tobias: there is some stuff we will want regardless - a way to resize windows at the same time, a way to group windows, more data from windows. Could be an interesting starting point. https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/169#note_1500040
* https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/2335

## 6 July 2022

Topics

* Image viewer
* Files grids
* GNOME Shell Tiling (Jeremy)
	* Initial implementation proposed to do quarter tiling just like the 2 column tiling is done now:
		* https://gitlab.gnome.org/Teams/Design/london-ux2017-experiments/-/blob/master/workspaces-fullscreen-tiling/aday-window-tiling.png
	* Suggest keyboard shortcut of Ctrl+2 arrow keys (example: Ctrl+ ↑ + → to snap to the top right)
* Payments flow in Software
* Document Scanner

Notes

* Image viewer
	* Is the properties button OK? Tobias: yes this is the desired interaction for the toggling utility panes, and it's good to have quick access to the image size
	* Questions about full screen and touch overlays:
		* On mobile single tap switches to a kind of distraction free mode - hides and app and system chrome to show the image. It's a bit like full screen.
		* The design has overlaid buttons for previous, next, zoom in, zoom out. The idea is that these would only be shown on pointer hover, and would therefore not be shown on touch-only devices, where the touch equivalents would be used instead. The same approach could potentially make sense for full screen, except for the fact that this "only show on pointer hover" behaviour might not be possible to implement. More thought needed here.
* Shell dock research update from Joana
	* 3 user groups
	*  1. Technical users - like us
	*  2. Professionals - concern with productivity, but not so technical
	*  3. Novices - little technology experience
	* Protocols are finished and will be shared
	* Starting next week
	* Simon will be in Berlin at the mini GUADEC to show and share
* Shell tiling
	* Quarter tiling corner cases would need addressing - overlapping windows, etc
	* UXD direction might be somewhat different from what's being initially 
	* Ubuntu will probably add it as a downstream patch if we don't want it upstream
		* This is something that can be done only in the case there's a possible usage in upstream GNOME (so like a preview), otherwise carrying patches as these is too complex if upstream isn't keen to include them.
	* Allan are there initial steps we could take that might be aligned with the long-term direction we have in mind?
	* Tobias would like to see us use a solution that can be used by default
	* Georges has technical concerns about extending the existing implementation to cover quarter tiling. Thinks that implementing grouping is what needs to happen. Allan's old grouping mockups: https://gitlab.gnome.org/Teams/Design/london-ux2017-experiments/-/tree/master/workspaces-fullscreen-tiling
		* These included also quarter tiling though, isn't it?
			* https://gitlab.gnome.org/Teams/Design/london-ux2017-experiments/-/blob/master/workspaces-fullscreen-tiling/aday-window-tiling.png
	* There's interest in column tiling as well as quarter tiling
	* The Berlin mini GUADEC will be a good place to make more progress on the tiling designs

## 22 June 2022

### Topics

* Core app GTK4 ports for 43: Nautilus? s/EOG/Image Viewer? Console? Evince?
* Quick settings
* Nautilus grid views
* Image viewer
* More tiling?

### Notes

GTK4 ports - not much progress recently

* Alex plans on porting Epiphany
* Nautilus - progress *seems* to be being made? Needs guidance on the grid views. Allan to check in with Marek on this.
* Console blocked on VTE
* Is there a Design mockup for a preferences dialog/ ☰ menu for Console? Do the Console devs want our help? This is a good goal for GNOME 43 since it's blocking Fedora to switch their default terminal app
    * https://gitlab.gnome.org/GNOME/console/-/issues/105 . Allan to provide mockups, but might need to wait for Owen for this.
    * https://pagure.io/fedora-workstation/issue/261
* Evince has a GTK4 MR. No progress for a while. Allan to ask Matthias.
* Loupe - MVP state could be ready by 43. Not ready for additional contributors yet. There's a refactoring in progress.
* Initial Setup: We have new designs, Will knows about them. Unclear when that's happening though
* Totem: there's progress
* Cheese: it's OK to say bye bye
* Photos: needs to go away
* Simple Scan: TODO: needs an issue filing and design guidance

Quick settings - extension is waiting on networking support being implemented first

Grids/lists in Files

* How to make grid items with an icon (no thumbnail) more distinct? Currently they look very similar. Colour code them like in Google Drive?
* Why folders not sorted before folders by default? Historical reasons - prioritisation of recency, can have to scroll through a lot of folders to get to files. Might not be a good choice though. Could we change this setting depending on the sort order (recency mixes folders, name puts them first)?
* Folders in a separate section, a la https://gitlab.gnome.org/Teams/Design/app-mockups/-/blob/master/files/files_rich-grid-view_content-menus%2Blabels.png ?
    * Grid views won't get sections before 43
    * Requires a low minimum number of columns if the grids in both sections are going to be aligned
    * Still, it's interesting?
* Give folders the same cell outline as the files
* Single click to open? It's nice with the latest branch
    * Checks on every item is bad. Right click to select and show the context menu?
    * We like single click, but there are concerns that the world might not be ready for it
    * Elementary uses hybrid click - single to navigation, double to open

Tiling

* Not ready for another round of discussion just yet. Tobias is aiming for something that we can enable by default, as opposed to a non-default mode.

## 15 June 2022

### Topics

* Quick settings
* Image viewer?
* More tiling?

### Notes

Quick settings

* Work in progress implementation exists. There are behavioural questions.
* Everything is there except for networking (that's the most complicated part).
* Unclear how we're going to group the settings
* No public branch yet. There's an extension that's compatible with GNOME 42.
* Questions:
	* When should the menu be closed, and when should it be kept open? Shouldn't close when toggling a quick setting. Should close on screen lock. What about opening a menu? What about selecting an item from a menu, like a wi-fi menu? For the most part, it should stay open unless switching to another context (launching an app, locking the screen).
	* Toggles that take a while to change the underlying state - Bluetooth. Should the button update to reflect the configured state, or the actual state? There needs to be feedback when someone interacts with it - press state on the button. Likely needs an intermediate progress state too - either a different icon, or a different background colour on the button.
	* Common failure case - connecting to a VPN, getting the password wrong. There are plenty of others.
	* Toggle buttons only have a binary state - on or off. No room for tri-states and so on, without creating a new widget.
	* ACTION: mockups for intermediate states (connecting to wi-fi, vpn, bluetooth).
	* Networking has 4 sections: wired, wireless... Devices that appear and disappear are allocated to each section. Those are the submenus that are visible. Usually there's just one connection per device type, but there can be more than one.
		* This affects the button order of the quick settings - based on fixed sections.
		* If there are multiple cards for a function, the button opens the submenu instead of toggling. Maybe we don't want that, because it would be inconsistent with the rest of the toggles, which all toggle. It might make sense to toggle all the cards of a type on/off from the button (say, three wifi cards). But then, what about VPN? You don't want to toggle 20 connections at the same time. Previously we said that the VPN toggle could enable/disable the last connection used. Unclear whether that's technically possible.
		* ACTION: take another look at the VPN button. Pin networks from the settings, so they appear in the settings? Simple toggle if there's one, menu if there's more than one?

* Just FYI: some work being done on Printer panel this year https://openprinting.github.io/OpenPrinting-News-June-2022/#gnome-control-center---the-new-printers-module

## 8 June 2022

Topics

* https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/889
* Apple changed some stuff
* Tiling tiling tiling
* App grid navigation (https://gitlab.gnome.org/Teams/Design/whiteboards/-/issues/37)

Notes

* Stage manager
	* Yet another mode - how does it relate to expose, etc?
	* Move one window, everything reshuffles. Potentially annoying.
	* Every app is like its own workspace?
	* It does take away all "the mess" - it takes over window placement globally - you're not mixing different types of window alignment.
	* Interesting in that it's limited in some respects - number of visible windows at once, etc
	* Most attractive piece is automatic placement of windows
	* Also attractive - the transitions
* Tiling
	* Tobias has outlined some of his ideas https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/169#note_1472425
		* An intelligent automatic layout approach by default which avoids overlapping windows
		* Would have an ability to overlap individual windows on demand
	* Hints for different display sizes/resolutions - some displays are suited to some layouts as opposed to others (2x2 grid on a super wide). Might need negotiation between windows and the system to decide the layout.
	* Next steps
		* Tobias to sketch some of his ideas
		* Allan and others to document existing micro interactions to think about
		* Need to provide guidance to Marco - try and identify some relatively small interim steps
	* How to accommodate some of the more classical tiling WM cases while also addresses the more common cases?
	* Multi-display is going to be hard - what happens when displays are added/removed?
* https://gitlab.gnome.org/Teams/Design/whiteboards/-/issues/37 - opens some questions
	* Arrow size is bigger in the new mockups. Which size is better? Georges thinks the mockup is better. 
	* Tobias - would be good to move the selected page when the preview slides in
	* Should we make the arrows buttons? Could do...

## 01 June 2022

* overlay search from 40 followups: https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/3802
	* needed for mobile as a DnD target, since there is no dash
	* Sam wants to clean up the layout
	* potential issues around z-depth of various items (search bar being below overview, and results above)
* shell research
	* Topic: Increase engagement with apps (dash, app grid, etc.)
	* Smaller-scale, more focused version of BB study
	* Georges talked to Renata Gegaj, she can help with research
	* Some progress on protocols
	* Diary study to test out protocols, hopefully by next week we'll have it finalized
	* The thing being tested works on GNOME as an extension which people can install and try
	* Make goals and protocols public, but not raw data since outsiders would be missing context
	* Endless wants this, but it happens upstream and is meant to serve GNOME
* more tiling
	* people mean different things by "tiling", from iPad to tiling WMs there's a huge range of ways it can work
	* Proper tiling needs to live in Mutter
	* ChromeOS has tiling. Cassidy thinks the old (~2015) tiling was better, when they had no floating windows
	* Windows 11 has a little panel at the top where you can choose layouts visually (maybe very new?)
	* Having a preferred max size on windows would be helpful. Shell would have to know (preferred) max and min window sizes
	* Would be cool to get back to the zoom window DnD UX from Atlas
	* is maximize the same as fullscreen? is fullscreen opt-in to tiling?
	* what happens when you fullscreen a tiled window and then untile? e.g. evince, boxes
		* probably becomes its own workspace afterwards? adding it back into the tiling arrangement might be hard
		* macOS style nice fullscreen animation for videos requires absolute positions ("oh no no please no etc.")
		* should fullscreen spawn separate windows (e.g. video players, image viewers)?
		* webkit on macOS has this, we could try enabling it (without animation)
		* need to maybe go back to fullscreen design issue, nobody remembers the history/context
		* macOS doesn't hide toolbars on fullscreen, only menubar and old title bars
	* The tricky thing about tiling is it interacts with everything: fullscreen, workspaces, etc
	* How much can we do piecemeal?
		* fullscreen windows as workspaces
		* natural sizing
		* either way we should settle on a design direction to be able to work in the right direction step by step
	* Next steps: Experiment with fullscreen as separate windows, collect more prior art, start thinking about concepts

## 25 May 2022

* https://meet.gnome.org/tob-rnh-d2j-7xb
* Let's get the shell dev blogpost out the door o/
* Desktop tiling improvements
* Current state: 
	* https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/58
* 2020 Convergent Shell Concept
	* https://gitlab.gnome.org/Teams/Design/os-mockups/-/tree/master/mobile-shell/tiling
	* Assumes we manage tiling in the overview
* Windows 11
	* hovering (press and hold?) maximize button shows a menu with tiling https://www.howtogeek.com/wp-content/uploads/2021/06/Windows-11-Snap-Layouts.pngarrangements
	* windows are shown separately in overview
	* not grouped in taskbar
	* choose tiling partner in a second step - works for multiple partners, one after another
	* it's still snapping (relies on corners/edges), limited to certain layouts
* iPadOS
	* new multitasking features in 15 https://www.apple.com/ipados/ipados-15/
	* three dots at the top of the screen for fullscreen, left, right
	* re-arranging the tiling pairs works in the overview, because apps are grouped there
	* Lots of odd floating window things: quick note, slideover, picture in picture
* ChromeOS??
* macOS
	* fullscreen windows are tiling workspaces by default. no window spread for these.
	* similar long press/hover menu as Windows 11, tiling partner choice in a second step
	* adding a second window to an existing tiling workspace? only from overview
	* it's cumbersome to move apps in/out of tiling workspaces (Catalina)
	* Only two windows next to each other
* pop OS
	* tries to emulate an old-school tiling WM?
	* tries to automatically split when opening new windows
	* first window is fullscreen, second is half-tiled, third is two windows on one side,third on the other. windows get progressively smaller.
	* if windows are too large, they ovelap other windows
	* it's all in the session, no integration in overview
	* how do you re-arrange? dragging one window onto another one in the session switches them
* webOS
	* https://www.theverge.com/2014/1/2/5264580/the-lost-secrets-of-webos
	* is there anything useful here? was there a stacked cards thing? are we misremembering? :D
* Android
	* very hidden, not used much (probably since tablets aren't really a thing)
	* long press the app icon to get a vertical tiling oh phones
	* Are folding phones relevant? Some of them do tiling
* Samsung Android?
* Windows 8
	* only 2 windows side by side
	* drag from the top

* People's thoughts
	* macOS is nice, if it didn't have the weird limitations and better overview integration and the popover on the maximize button
	* we have a better and more integrated overview, so there's an opportunity to use that
	* iPadOS is a mess, let's avoid that

* Action: New issue with all of this in more coherent form and with videos, link to the preivous one 

## 18 May 2022

* Mobile shell
	* Jonas is working on tiling workspaces for mobile
	* We need a launch animation/placeholder of some kind
		* When launching an app we create a new tiling workspace (per window), but it might take a while for them to launch. Should we do an icon/title/spinner thing like on mobile?
			* The current implementation would be relatively generic tiling workspaces, not just what mobile needs
	* In a tiling setup all tiled windows affect each other
	* Tiling is a spectrum: One window on tiny screens, multiple tiled windows on medium sized screens, max window size and/or floating on very large screens
	* window max sizes are tricky because they may need to take things like large text into account
	* Apps like libreoffice (with splash screens that aren't marked as such) are a problem
		* For now this is mobile only, so not a blocker per se
		* People will try to run them though, so we should try and at least not crash
	* Georges tried something called Window Groups a few years back, which would be GtkGrid-like to manage window tiling setups
		* Mutter's constraint mechanisms are not enough to handle this
		* Difficult API design problem
	* Current tiling is just 2 width percentages, not scalable

	* On mobile there's no dash, so the dash apps are gone (since they're not in the app grid)
		* This would be fixed by the separate gsettings key for the mobile app grid
		* The is-smartphone check already adjusts a bunch of other stuff (currently it's just a boolean)
	* Should/could mobile be a mode? (e.g. initial setup, lock, login) Jonas thinks no

	* Long term we might need something more complex than a boolean or enum, because there can be very complex edge cases, e.g. small display without touch
	* In practice most cases are a number of relatively simple cases (phone with one display, laptop with one display, phone plugged into a monitor with the phone screen off)
	* plugging a phone into a display with no keyboard/mouse? e.g. TV
		* iOS has two modes: display mirroring and separate video feed that apps can expose to the external monitor
		* The iOS solution would be nice long term, but for now we'd probably do mirroring
		* We had concepts for a presentation mode in the past, where apps could choose to show a specific window on the external monitor
	* We need a bottom bar for opening the overview, but it conflicts with the OSK gesture
		* Phosh has an explicit button, but it'd be nice to avoid that
		* There is a protocol to show/hide automatically, but it's not universally supported (and broken in GTK4)
	* We'll need insets at some point for OSK, text selection, and so apps can draw behind the bottom and top bars

## 11 May 2022

* GNOME Shell Quarter tiling
* Battery indicator and notifications
* Sushi
* Signed PDFs -- https://gitlab.gnome.org/Teams/Design/app-mockups/-/issues/32/
* Files lists/grids

GNOME Shell Quarter tiling

* Marco wants to work on it
* There was design work for improving the existing tiling - worth returning to. 2 potential approaches we were considering:
	* Grouping tiled windows in the overview
	* Putting tiled windows on their own workspaces
* There are tricky edge cases for quarter tiling - would need working out
	* GTK doesn't draw shadows for tiled windows now which helps with several issues
	* Need to handle attached modal dialogs being covered by tiled windows?
* There's interest in having a graphical way to select which windows are tiled, and which areas they go to
* Do we want to offer thirds tiling or just half/quarters?
* Needs a thorough design process from scratch. The state of the art has moved on since we last looked at it.
* Force tiled neighbors? Would help with shadow handling corner cases
* Good first steps - review relevant art, dig up our previous work
* There's new relevant art since we last looked at this: iPad, Windows 11, maybe others?

Battery indicator and notifications

* Original issue - https://gitlab.gnome.org/GNOME/gnome-settings-daemon/-/issues/686
* Allan's mockups - https://gitlab.gnome.org/Teams/Design/os-mockups/-/blob/master/system-status/battery-status-aday.png
* Sam's mockups - https://gitlab.gnome.org/Teams/Design/os-mockups/-/raw/master/battery-status/battery-status.png
* Alex is keen in manually drawing the icons - wants to improve the situation on hidpi, ensure that things don't break if the upower thresholds are changed. It will be based on SVG assets, so it will be relatively easy to update the style.
* Square or landscape icon layout?
* Sam's approach:
	* Tobias has a concern about uneven icons in the top bar; could be resolved with spacing?
	* An alternative to using the OSD would be a custom notification layout
	* Main issues to explore:
		* Layout of icons in the top bar
		* Layout of the system status menu, both the current version and with quick settings
		* Use of the battery icons in the power settings, with multiple internal batteries?
		* Layout of the notification
	* Maybe go with 16x16 for now, and explore the horizontal orientation some more?

Sushi

* Felipe is stepping down as maintainer. Should we just drop it?
* It's dependency hell in GTK 3. Less so in GTK 4.
* Allan: when we discussed this last, the point we came to is that Sushi doesn't have much to offer over the other viewer apps, which are fast enough already.
* Alex: the thing that Sushi does have is Nautilus integration for browsing - follows the sort order.
* Tobias: are we talking about dropping the space bar behaviour, or dropping Sushi? Allan: if we do single click to open, then there wouldn't be a way to select and press space bar.
* Inconclusive

## 6 May 2022

* Battery status
* Sushi
* Signed PDFs -- https://gitlab.gnome.org/Teams/Design/app-mockups/-/issues/32/
* Files lists/grids

## 4 May 2022

* Sushi
* Signed PDFs -- https://gitlab.gnome.org/Teams/Design/app-mockups/-/issues/32/
* Files lists/grids

## 27 April 2022

* New screenshot UI
	* improvements for 43
* A11y panel(s): https://gitlab.gnome.org/Teams/Design/settings-mockups/-/issues/40
* Settings Printers Panel - https://gitlab.gnome.org/Teams/Design/settings-mockups/-/blob/master/printers/printers.png
* Signed PDFs -- https://gitlab.gnome.org/Teams/Design/app-mockups/-/issues/32/
* Files lists/grids

New screenshot UI

* Various issues have been raised:
	* "Takes more clicks to take a screenshot"
	* "Have to press enter"
	* No longer possible to just copy to the clipboard and not save to a file
	* Keyboard support for changing between modes isn't discoverable - W, S, C. You can't tab through.
	* No keyboard-only way to stop screencasting
	* The shell doesn't support mnemonics
	* Have a button to open a help page?
	* Have the docs been updated to reflect the new ui? Issue tracker says yes - https://gitlab.gnome.org/GNOME/gnome-user-docs/-/issues/144 . For 43 only?
	* Jakub's screenshot is the most important. Not showing the pointer for screencasts is typically a fail. The toggle for the pointer is eeky. Jakub suggested that we don't have a hide pointer option for video recordings. https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5216 We probably want a different option to emulate or show touch input. Another option to consider is to have separate show pointer values for the screenshot and screencast modes.
	* https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5208
	* https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5386
	* There's no visual flash effect when taking a window screenshot?

A11y panel(s): https://gitlab.gnome.org/Teams/Design/settings-mockups/-/issues/40

* It's mostly a reorg of the existing settings, to use the latest design patterns
* Would a blind user look under "seeing" for the screen reader?
* Allan to ask Lukáš Tyrychtr for feedback
* Sliders in list rows are a bit of an open question

Settings Printers Panel - https://gitlab.gnome.org/Teams/Design/settings-mockups/-/blob/master/printers/printers.png

* The current design is a list. Often it's 0 printers, or 1 printer. The design special cases the 1 printer case, similarly to the users panel.
* But there are issues with this... like if you have more than 1 printer, how do you set the default.
* Every printer is different, with different settings. The design tries to keep the standard settings consistent, with the more variable settings kept separately. Lazer is different from ink jet.
* Drivers ? . Your printer might not work.
* Main uses for the panel - cancelling a job, adding a printer (process for that varies, depending on the scenario), troubleshooting
* Questions about discovery and presence of printers. How should printers look when they're unavailable for some reason? (Not plugged in, not on the network.)

## 20 Apri 2022

Agenda

* Ubuntu 22.04 added "Legacy VNC" settings
	* https://bicha.net/i/ubuntu-remote-desktop-vnc1.png
	* https://bicha.net/i/ubuntu-remote-desktop-vnc2.png
	* https://bicha.net/i/ubuntu-remote-desktop-vnc3.png
	* VNC shares the RDP password (VNC has password length limit though).
	* RDP is enabled if desktop sharing is enabled. VNC can be additionally enabled.
	* Maybe not wanted for GNOME directly. Some comments at https://launchpad.net/bugs/1968518 (#11 and #15)
	* Also some discussion about showing a first login prompt for users who had VNC enabled before upgrading to 22.04
	* GNOME should show some kind of notice if VNC is enabled. We shouldn't be silently running that kind of service. User might forget they ran some grdctl command to enable it.
* App grid improvements
	* https://gitlab.gnome.org/Teams/Design/whiteboards/-/issues/37
	* Very large / small screens
	* Always visible navigation arrow (or other indication of pagination)
	* Problematic resolutions: 4K, 1366x768 (extremely common in South America), 1280x720, ultra-wide

## 13 April 2022

Agenda

* Endless User Research
* Mobile Shell
* Meeting time!
* Settings Printers Panel - https://gitlab.gnome.org/Teams/Design/settings-mockups/-/blob/master/printers/printers.png
* Signed PDFs -- https://gitlab.gnome.org/Teams/Design/app-mockups/-/issues/32/
* Ubuntu 22.04 added "Legacy VNC" settings today, btw
	* https://bicha.net/i/ubuntu-remote-desktop-vnc1.png
	* https://bicha.net/i/ubuntu-remote-desktop-vnc2.png
	* https://bicha.net/i/ubuntu-remote-desktop-vnc3.png
	* VNC shares the RDP password (VNC has password length limit though).
	* RDP is enabled if desktop sharing is enabled. VNC can be additionally enabled.
	* Maybe not wanted for GNOME directly. Some comments at https://launchpad.net/bugs/1968518 (#11 and #15)
		* Also some discussion about showing a first login prompt for users who had VNC enabled before upgrading to 22.04 < time critical if we want it for the initial 22.04 release
* Tab scroll undershoot + needs-attention style - https://gitlab.gnome.org/Teams/Design/os-mockups/-/blob/master/tabs/tabs-borderless.png solved in the meantim

Notes

* Endless User research
	* Opportunities for collaboration with https://ura.design/
	* https://docs.google.com/document/d/11zXIywtn9-F5WODTwi3ln5crxhXWWLlYO3ujZYeAcrs/edit?usp=sharing
	* Upcoming EOS changes to the shell - https://github.com/endlessm/eos-desktop-extension/
	* Planning to use shells.com for the testing
	* Recruiting to include people who have never used Linux
	* Not planned to be a comparative test - will be just be testing Endless OS
	* Elio and Renata could help out as researchers
* Mobile Shell
	* Jonas can work on this until August due to some funding
	* Has been working on gestures so far - that's now done
	* Pieces that we want to do for desktop anyway - OSK, quick settings, notifications. Then expanding the designs to cover mobile as well - adapting some of the designs to that.
	* What are the priorities in general?
	* Florian is planning on picking up quick settings soon
	* Jonas is already looking at the OSK and would like to look at that - support narrow widths, more ergonomic, maybe look at different layouts for phone and larger devices. Current behaviour of pushing up windows is annoying; but there are technical constraints.
	* Another task - logic to identify the device type, so we know if it's a phone or not
	* Actions: OSK designs please

## 6 April 2022

### Agenda

* Endless user research
    * https://docs.google.com/document/d/11zXIywtn9-F5WODTwi3ln5crxhXWWLlYO3ujZYeAcrs/edit?usp=sharing
    * https://github.com/endlessm/eos-desktop-extension/
* New call time? https://whenisgood.net/7xnkb28/results/8achwk

* Tagged entries - https://gitlab.gnome.org/Teams/Design/os-mockups/-/blob/master/tagged-entries/tagged-entries.png
* Funding for UX Design / Research by Open Tech Fund?
* Invite fellow Canonical engineer to this call?

* New portals mockups - https://gitlab.gnome.org/Teams/Design/os-mockups/-/blob/master/portals/portals.pn

### Notes

Endless user research

* https://docs.google.com/document/d/11zXIywtn9-F5WODTwi3ln5crxhXWWLlYO3ujZYeAcrs/
* Informed in part by Brooks Bell research 18 months ago
* Planning to test with:
    * mostly-offline Endless OS users (students & teachers)
    * Windows & Mac users through a web-based testing platform (idea here: use shells.com to get a web-accessible Endless OS VM)
    * with friends and family
* Timeline: hoping to get tests off the ground in coming weeks
* Testing with in-development EOS 5 desktop https://github.com/endlessm/eos-desktop-extension/ – works on vanilla GNOME 41
* Cassidy Blaede did spiritually-similar research about users' feelings about docks, through the medium of surveys
* Goals for BB research: ensure existing GNOME users are satisfied, allow enough time for interviewees to get more than just an initial take on the desktop

Funding for UX Design / Research by Open Tech Fund

* Renata (former Outreachy student) works with a user testing org(?) and there is potentially funding for such research.
* Focusing on privacy software, GNOME important here since so many activists use Linux & GNOME. Ideally topics which can be planned 2-3 months in advance. Elio to share more links.
* https://www.opentech.fund/labs/sua-lab/ / https://ura.design/

Invite fellow Canonical engineer to this call

* Ubuntu technical perspective & context from Jeremy Bicha could have been useful in recent discussion about dark mode preference.

Tagged entries

* ebassi has a merge request for work-in-progress. 
* Nautilus has its own implementation
* GTK4-demo has an example
* Mockup includes a find toolbar, rather than an overlay (to avoid obscuring content). * Significantly different from anything elsewhere in GNOME.
* Several apps which have the tagged-entry pattern are either lightly-maintained, or the UI is believed to be not heavily used. Success of libhandy + libadwaita was to standardize patterns that have been used & refined. Is there a way we can test this in some apps before landing? Which apps besides Nautilus – Music, Photos, Videos, ... Alex didn't use it in Games because it wasn't adaptive. Perhaps Software – it doesn't have filters but potentially it could. How about negation, e.g. in Nautilus you may want to say "not file type X". Many people have never noticed that Nautilus has tagged search before!

## 30 March 202

Extension installation

libadwaita follow-ups

* list entry rows
* progress buttons - could be used in web, files, builder, software. tobias doesn't like the pie charts
* tagged entries
* expand & refine the .osd style - probably to do when totem is ported to gtk4 (see https://gitlab.gnome.org/Teams/Design/app-mockups/-/blob/master/videos/videos.png )

move gnome-todo to World/ and rename it

* gnome-shell checks to see if the extensions app is installed, and disables extension updates if not
* extensions update notifications link back to the app. so we di
* one option - have a setting for the default extens
* the ui of the 3rd party app has a lot of papercuts
* extensions updates are all done internally by gnome shell
* one issue is that the behaviour of enabling/disabling extensions is not visible/obvious
* if we had an URI scheme for extensions, and could look to see if there are apps that handle that scheme. the ma
* could we just automatically install extension updates if there's no extension app, and not show a notification?
* the notifications are shown when the updates are installed (but not applied since you need to log out and in again). the main value of the notification is therefore to prompt the user to restart.

## 3 March 2022

Initial setup again

* Password fields need updating

43 planning

* Responsive calendar is happening
* GTK 4 webkit coming soon - Web will need work
* New portal coming for global shortcuts on Wayland. Will include push to talk. Would be good to have designs there. Will need a way to resolve conflicts.
    * Screencast portal needs more work - screen selection especially
* Settings: 
    * cellular, there's a desire to have data cap/usage stuff

## 9 March 202

* Initial setup GTK4 designs - https://gitlab.gnome.org/Teams/Design/os-mockups/-/blob/master/initial-setup/initial-setup.png
* 43 plannin

43 planning

* GTK 4 porting still to do: Files, Totem, Image Viewer, Console, ...
* Adaptive Calendar
* Session state saving?
* GNOME shell mobilification?
* Quick settings?
* Notification revamp?

2 March 2022

status icons background actions

* "Running in the background" notifications can go away
* Easily kill background apps using resources etc. without Usage (unlikely to be fixed soon)
* Accommodate the Dropboxes  of the world that need background actions and have no window in a non-annoying way
* Avoid good apps starting to use the new status icon API - it's a fallback, not a great new thing for developers to use

* We don't currently have a universal way to kill apps
* API to quit apps via the portal

Followup:

* Look into why we can't just kill background notification
* Are there security concerns
* Mixing in background apps/regular apps makes things more complicated, compared to it just being a UI for status icons
* Maybe easier to split that out and revisit other aspects for late

* Can non-Flatpak apps add icons without asking?
	* it's up to GNOME Shell
	* any app can call the DBus API, but we can always have a user confirm dialog
* can apps run in the background if it's denied?
	* up to the app

* The idea was that we'd show the Dropbox menu in the dash context menu when there's a window
* Currently not clear if we can always match menu/desktop file, but maybe
* Adapt our concept of running apps to include the status icon
* If we don't remove apps from the dialog if they have a window it needs a different name (e.g. "Persistent Apps")


* Clash between two concepts of running in the background - status icon / background
* Complexity: Is there a window? Is there a menu? Background API? etc.
* Does this fit existing app-facing APIs? Qt calls it SystemTrayIcon. Electron calls it "Tray".

## 23 February 202

Topics

* Release notes
* 42 retrospective, 43 planning
* Status icons
* Accent colours in Ubuntu 22.04 LTS: https://github.com/ubuntu/yaru/issues/334

Release notes

* Where were we?
* Jakub wants video. Hard to do with Sphinx/.rst
* He made https://teams.pages.gitlab.gnome.org/Design/release-notes/42/index.html , which is Sphinx
* Then there's translations. Requires per-language builds in the CI, plus adding a language switcher on the pag.

* Code is moving from Software to Shell, do we want to make changes?

42 retrospective, 43 planning

* https://github.com/ubuntu/yaru/issues/3348
* Ubuntu orange isn't great in terms of contrast with light/dark text
* Each accent colour needs to have a light and a dark version for light and dark modes, like how libadwaita does it already
* Concern is how it will affect app developers - would be better upstream from that perspective
* Alexander - we could do it for 43
* Where would the colour palette come from?
* Tobias - the feature sounds overcomplicated. Maybe worth it if it prevents downstream fragmentation.
* Georges - it's un
* We've discussed varying the app colours in the past. One idea was to have per-app accent colours.
* Discussed the general premise of accent colours as a personalisation feature - do people use this? Do they want it? Does it satisify the desire to personalize? Other platforms have the feature (Mac, Windows, Android). We have anecdotal evidence of people who don't use these features and those do. Unclear what the split is.
    * Jakub - isn't hugely enthusiastic but sees that there's a demand. Is OK with it if it can be done with libadwaita.


## 16 February 2022

* Release Notes
* Release Video :/


## 9 February 2022

* Settings GTK 4 port fixes have landed
* Some screenshot fixes merged. Others in progress. Needs testing.
* Window recording 

## 02 February 2022

Topics

* In-shell screenshot review
* Status icons: Just a fallback or is there a way to make them semi-decent?
* Appearance settings

* Just moving the stop button to the top bar would help

We're competing with Ctrl+Alt+Shift+R, the bar is low...

* Difficult layout-wise with the current UI
* Top-right of the screenshot UI might be

Window picker doesn't perform well with a lot windows - hard to see the thumbnails.

## 26 January 2022

### Topics

Shell stylesheet updates
Background portal behavior
Status icon fun

### Notes

Symbolic icon refresh

* Less blocky, more rounded
* Will go well with the styleshe
* Work already committed to main
* Going to 
* Actions: 
    * Test apps and point out inconsistent icons. File issues against a-i-t or devkit
    * Move settings-specific icons to the settings app? power-manager-symbolic etc.

Stylesheet updates

* Some papercuts. Either needs changes to be reverted or restructuring.
* Lost the popover arrows in some cases, not others.
    * Retained for input method suggestion menus, dash, app grid, header bar context menus
    * Should we remove them everywhere?
    * Is it OK to be inconsistent with GTK menus?
    * It would only really simplify the code if we remove the points everywhere
    * Actions:
        * Test gnome-shell main and try all the menus
        * Investigate relevant art for text suggestion menus on other platforms
        * Seems like we probably want to remove them everywhere. Could do that in CSS for 42 and remove the supporting code next cycle.

Background portal behaviour

* https://gitlab.gnome.org/Teams/Design/os-mockups/-/issues/153

## 19 January 2022

* Where to put the remote desktop settings?
* Status icons yay
* Icons
* Future of Photos (again)...

Remote desktop settings - don't really fit in privacy. Sharing is a bit of an odd mix of stuff, most of it old and not really used.

* Could there be other groupings for some things? Maybe a System category (date & time, language, about, ssh).

Link handling (in app settings), default apps, removable media, etc - needs looking at as a whole. What do other platforms do? Should the default file handles stay part of nautilus? Should removable media settings be moved over there? Where should this go in settings, if it stays in there?

Status icon

* New spec being drafted. Gives more flexibility than what we've had before - can embed status icons in the dash, the overview, the calendar, etc.
* Can we avoid apps providing the icons themselves? A hard sell.
* Can we just add the menu to the icon in the dash?
    * What about indicating status in that case?
* Need a better way to manage apps that run as a service in the background
* Ought to be a permission for an app to show a status icon.
    * The draft spec envisions a portal for the status icon - we can use the portal permissions system.
    * Run in the background permission is separate. Maybe they could be combined in some way?
* A cellar! 
* Would prefer to only have one status icon/menu per app (multiple seems like a corner case anyway?)
* Scrolling over the icon is supported by the spec. Doesn't seem like something an app should/would want to do.
* Having the ability to tie status icons to apps is a priority - so we can potentially link## 

## 12 January 2022

* Per-app volume levels?
* https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/4914

## 5 January 2022

* GNOME 42 UX freeze
* Per-app volume levels?
* https://gitlab.gnome.org/GNOME/console/-/issues/105

Shell style refresh

* Will nautilus be ready?
* Blog post to call for help? B
    * Outstanding settings panels
    * Need a list of apps that could potentially get over line

* Contacts being worked on
* Logs has a port, needs review/finishing
* EOG/image viewer replacement probably not happening, the 
* Scree

* Baobab
* Calculator
* Text Editor
* Software
* Settings (mostly)
* Characters
* Tou
* Not happening for sure:
	* Terminal
	* Evince
	* Calendar
	* Boxes
	* Videos
	* Photos
	* EOG
	* Connections
	* Music
	* System Monitor
	* Help
	* Disks
	* Cheese
	* Fonts
	* Maps
	* Seahorse
	* Document Scanner?
	* Calls
	* Sushi?

* Weather
* Clocks
* Logs
* Outstanding Settings panels (Users, Online accounts, ...)
* Style fixes in Calculator
* Contacts
* New image viewer?
* Nautilus
* Extensions
* Extensions Preferences dialogs
* Epiphany
* Initial Setu

Other related stuff
	* Dark transition MR
	* In-shell Screencast UI MR (so we can kill Screenshots)
	* Shell style refresh to bring it in line with new app stylesheet

